package com.tofly.watermeter.custom.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.tofly.watermeter.custom.entity.Statistic;
import com.tofly.watermeter.entity.Bwckdatail;
import com.tofly.watermeter.entity.Bwrksbdatail;

import javax.servlet.http.HttpServletResponse;
import java.util.LinkedHashMap;
import java.util.List;
import java.util.Map;

/**
 * @author FlashWJL
 * @date 2021/3/24 19:22
 */
public interface StatisticService {
    IPage<Map> getScrap(Page page , Statistic statistic);

    IPage<Map> getInstall(Page page , Statistic statistic);

    IPage<Bwrksbdatail> getInstallInfo(Page page , Statistic statistic);

    IPage<Map> getCkSb(Page page , Statistic statistic);

    IPage<Bwckdatail> getCkSbInfo(Page page , Statistic statistic);

    List<Map> getHb(Statistic statistic , HttpServletResponse response);

    IPage<Map> getScrapInfo(Page page , Statistic statistic);

    IPage<Bwrksbdatail> getHbInfo(Page page , Statistic statistic);

    IPage<Map> getMeterFlow(Page page, Statistic statistic , HttpServletResponse response);

    LinkedHashMap<String, Map> getFlowDetails(Statistic statistic);

    List<Map> getCjSta(Statistic statistic);

    IPage<Map> getSyDate(Page page , Statistic statistic);

    IPage<Map> getSyDateDetails(Page page, Statistic statistic , HttpServletResponse response);
}
